# A token's pools by health

`GET https://api.getchord.xyz/v1/lp/token/{address}/pools`

Source: https://getchord.xyz/docs/api-reference/operations/lptokenpools/

The token's pools ranked by the 0–100 health score with the reasons behind it, and launch facts on Arc (launcher, its share of the liquidity, when it last pulled).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `address` | path | yes | string |  |
| `chain` | query | yes | `5042` · `4663` · `143` | Chain id: `5042` Arc · `4663` Robinhood Chain · `143` Monad. |

## Response 200

Example (captured from the live API):

```json
{
  "chain": 5042,
  "token": "0x171a4217b86a807a64eb94757db6849fb4bdbaa0",
  "pools": [
    {
      "pool": "0xd945caee4635bcd7fb8a9fa74dc1d0c4c1472782",
      "dex": "slipstream_fork",
      "kind": "clmm",
      "feeBps": 6,
      "tvlUsd": 570213.05,
      "vol24h": 772749.320668,
      "aprPct": 29.678749237025,
      "score": 75,
      "reasons": [],
      "launch": null
    },
    {
      "pool": "0xc955cbfb9d03cde6f78901a81740264f895b9c00025beb9115cf2d7b86b3ee5a",
      "dex": "uniswap_v4",
      "kind": "v4",
      "feeBps": 30,
      "tvlUsd": 14896.68,
      "vol24h": 13956.785425999999,
      "aprPct": 102.59118166913699,
      "score": 47,
      "reasons": [
        "the launcher holds 100% of the liquidity added"
      ],
      "launch": {
        "launcher": "0x6049c9a0e26405c0985f9e3685c87d0ae917f82b",
        "launcherName": "Uniswap Liquidity Launcher",
        "creator": "0x8007221ab6bdb20496eb74d038cbc5d590d1bea9",
        "hooks": null,
        "launchedTs": 1789559316,
        "launcherLpAddedUsd": 69592.12438223744,
        "totalLpAddedUsd": 69592.12438223744,
        "launcherSharePct": 100,
        "launcherLastRemoveTs": 1789838701,
        "launcherRemovedUsd": 51498.944581131305
      }
    }
  ],
  "updatedAt": 1789891866065
}
```

- **400**: Invalid parameters — `error` names the check that failed (`INVALID_PARAMS`, `BAD_ADDRESS`, `BAD_LIMIT`, `BAD_HOURS`, …).
